This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 847626

Summary: [FEAT] nfsv3 cluster aware rpc.statd for NLM failover
Product: [Community] GlusterFS Reporter: Krishna Srinivas <ksriniva>
Component: nfsAssignee: bugs <bugs>
Status: CLOSED DUPLICATE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: mainlineCC: bugs, gluster-bugs, ndevos, rwheeler
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-27 04:57:11 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 854182    

Description Krishna Srinivas 2012-08-13 03:40:20 EDT
As of now there is no support for glusterfs NLM failover as the new server to which it fails over does not know which clients were previously accessing the failed server to send NSM notifications to. We need to figure out how we can fix this behavior.
Comment 2 Niels de Vos 2015-02-27 04:57:11 EST
This is not reasonably solvable within Gluster/NFS. However, the move to NFS-Ganesha with HA through pacemaker/corosync includes this feature.

http://www.gluster.org/community/documentation/index.php/Features/HA_for_ganesha

*** This bug has been marked as a duplicate of bug 1188184 ***